Loading...
Searching...
No Matches
NonlinearFactor.h File Reference

Non-linear factor base classes. More...

Go to the source code of this file.

## Classes

class | gtsam::NonlinearFactor
| Nonlinear factor base class. More...
struct | gtsam::traits< NonlinearFactor >
| traits More...
class | gtsam::NoiseModelFactor
| A nonlinear sum-of-squares factor with a zero-mean noise model implementing the density \( P(z|x) \propto exp -0.5*|z-h(x)|^2_C \) Templated on the parameter type X and the values structure Values There is no return type specified for h(x). More...
struct | gtsam::detail::NoiseModelFactorAliases< typename,... >
| Convenience base class to add aliases X1, X2, ..., X6 -> ValueType<N>. More...
struct | gtsam::detail::NoiseModelFactorAliases< T1 >
struct | gtsam::detail::NoiseModelFactorAliases< T1, T2 >
struct | gtsam::detail::NoiseModelFactorAliases< T1, T2, T3 >
struct | gtsam::detail::NoiseModelFactorAliases< T1, T2, T3, T4 >
struct | gtsam::detail::NoiseModelFactorAliases< T1, T2, T3, T4, T5 >
struct | gtsam::detail::NoiseModelFactorAliases< T1, T2, T3, T4, T5, T6, TExtra... >
class | gtsam::NoiseModelFactorN< ValueTypes >
| A convenient base class for creating your own NoiseModelFactor with n variables. More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Macros

#define | NoiseModelFactor1 NoiseModelFactorN
#define | NoiseModelFactor2 NoiseModelFactorN
#define | NoiseModelFactor3 NoiseModelFactorN
#define | NoiseModelFactor4 NoiseModelFactorN
#define | NoiseModelFactor5 NoiseModelFactorN
#define | NoiseModelFactor6 NoiseModelFactorN

## Detailed Description

Non-linear factor base classes.

Author
  Frank Dellaert
  Richard Roberts
  Gerry Chen